=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2009-06-10 08:03:41 +0000
+++ bzrlib/tests/blackbox/test_push.py	2009-06-11 06:21:51 +0000
@@ -226,12 +226,13 @@
         # stacked_on_url is that exact path segment. Added to nail bug 385132.
         self.setup_smart_server_with_call_log()
         self.make_branch('stack-on', format='1.9')
-        self.make_bzrdir('.').get_config().set_default_stack_on('/stack-on')
+        self.make_bzrdir('.').get_config().set_default_stack_on(
+            '/extra/stack-on')
         self.make_branch('from', format='1.9')
         self.reset_smart_call_log()
         out, err = self.run_bzr(['push', '-d', 'from', self.get_url('to')])
         branch = Branch.open(self.get_url('to'))
-        self.assertEqual('/stack-on', branch.get_stacked_on_url())
+        self.assertEqual('/extra/stack-on', branch.get_stacked_on_url())
 
     def test_push_smart_with_default_stacking_relative_path(self):
         # If the default stacked-on location is a relative path then branches

